ranges::v3::view::join_fn Struct Reference

## Synopsis of methods

constexpr view< join_fn > | join {}

## Public Types

template<typename Rng >
using | JoinableRange_ = meta::and_< InputRange< Rng >, meta::lazy::invoke< meta::compose< meta::quote< InputRange >, meta::quote< range_reference_t > >, Rng > >

## Public Member Functions

template<typename Rng , requires = (JoinableRange_<Rng>())>
join_view< all_t< Rng > > | operator() (Rng &&rng) const
template<typename Rng , typename Val = range_value_type_t<range_reference_t<Rng>>, requires = (JoinableRange_<Rng>())>
join_view< all_t< Rng >, single_view< Val > > | operator() (Rng &&rng, meta::id_t< Val > v) const
template<typename Rng , typename ValRng , requires = (JoinableRange_<Rng>() && ForwardRange<ValRng>())>
join_view< all_t< Rng >, all_t< ValRng > > | operator() (Rng &&rng, ValRng &&val) const